| IOFormat Python 1.8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
ioformat.ioformat.StackReader Class Reference
Inheritance diagram for ioformat.ioformat.StackReader:

## Public Member Functions
| __init__ (self, *args, **kwargs)

## Static Public Member Functions
| open_image_from_pattern (*args)
| read_image_from_pattern (*args)
| open_image_from_list_file (*args)
| read_image_from_list_file (*args)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    A factory to read stacks of images.

## Member Function Documentation

## ◆ open_image_from_list_file()

ioformat.ioformat.StackReader.open_image_from_list_file | ( | * | args | ) |
| static

        *Overload 1:*

        Stack multiple files as described in a list file.

        A list file is a file, usually with the "lst" extension, where each
        line is a path to a file, absolute, or relative to the list file.

        Example of a list file:

        .. code-block:: c++

            some/path/to/a/file.ext
            some/other/path/to/a/file.ext
            ...

        :type filePath: string
        :param filePath: The path to the list file.
        :type newDim: int
        :param newDim: The interpretation of the stacking dimension.
        :raises: Error if a file from the list is not found
        :raises: Error if stacking failed

        :rtype: :py:class:`ImageView`
        :return: An ImageView built by stacking all the images in the list file.

        See also: IOFormat::stack

        |

        *Overload 2:*

        Stack multiple files as described in a list file.

        A list file is a file, usually with the "lst" extension, where each
        line is a path to a file, absolute, or relative to the list file.

        Example of a list file:

        .. code-block:: c++

            some/path/to/a/file.ext
            some/other/path/to/a/file.ext
            ...

        :type filePath: string
        :param filePath: The path to the list file.
        :raises: Error if a file from the list is not found
        :raises: Error if stacking failed

        :rtype: :py:class:`ImageView`
        :return: An ImageView built by stacking all the images in the list file.

        See also: IOFormat::stack

## ◆ open_image_from_pattern()

ioformat.ioformat.StackReader.open_image_from_pattern | ( | * | args | ) |
| static

        *Overload 1:*

        Open multiple files to stack them.

        The pattern must be written using the character "*" as a wildcard
        for any number of characters. The wildcard must only be present
        on the last segment of the path, the filename part.

        Example:

        `/some/dir/img_*.png` will load all files following this pattern,
        ands stack them, using lexicographic order.

        :type pattern: string
        :param pattern: The pattern to use to open files.
        :type newDim: int
        :param newDim: The interpretation of the stacking dimension.
        :raises: Error if stacking failed

        :rtype: :py:class:`ImageView`
        :return: An ImageView containing the images loaded using the pattern, and stacked.

        See also: IOFormat::stack

        |

        *Overload 2:*

        Open multiple files to stack them.

        The pattern must be written using the character "*" as a wildcard
        for any number of characters. The wildcard must only be present
        on the last segment of the path, the filename part.

        Example:

        `/some/dir/img_*.png` will load all files following this pattern,
        ands stack them, using lexicographic order.

        As there is no dimension specified in this version, the ImageType of the
        output image will be ImageTYpeId::UNKNOWN

        :type pattern: string
        :param pattern: The pattern to use to open files.
        :raises: Error if stacking failed

        :rtype: :py:class:`ImageView`
        :return: An ImageView containing the images loaded using the pattern, and stacked.

        See also: IOFormat::stack

## ◆ read_image_from_list_file()

ioformat.ioformat.StackReader.read_image_from_list_file | ( | * | args | ) |
| static

        *Overload 1:*

        Stack multiple files as described in a list file and load the result in memory.

        A list file is a file, usually with the "lst" extension, where each
        line is a path to a file, absolute, or relative to the list file.

        Example of a list file:

        .. code-block:: c++

            some/path/to/a/file.ext
            some/other/path/to/a/file.ext
            ...

        :type filePath: string
        :param filePath: The path to the list file.
        :type newDim: int
        :param newDim: The interpretation of the stacking dimension.
        :raises: Error if a file from the list is not found
        :raises: Error if stacking failed

        :rtype: :py:class:`ImageView`
        :return: An ImageView built by stacking all the images in the list file and loading it in memory.

        See also: IOFormat::stack

        |

        *Overload 2:*

        Stack multiple files as described in a list file and load the result in memory.

        A list file is a file, usually with the "lst" extension, where each
        line is a path to a file, absolute, or relative to the list file.

        Example of a list file:

        .. code-block:: c++

            some/path/to/a/file.ext
            some/other/path/to/a/file.ext
            ...

        :type filePath: string
        :param filePath: The path to the list file.
        :raises: Error if a file from the list is not found
        :raises: Error if stacking failed

        :rtype: :py:class:`ImageView`
        :return: An ImageView built by stacking all the images in the list file and loading it in memory.

        See also: IOFormat::stack

## ◆ read_image_from_pattern()

ioformat.ioformat.StackReader.read_image_from_pattern | ( | * | args | ) |
| static

        *Overload 1:*

        Stack multiple files following a pattern and load the stacked ImageView in memory.

        The pattern must be written using the character "*" as a wildcard
        for any number of characters. The wildcard must only be present
        on the last segment of the path, the filename part.

        The stack will be loaded in memory after construction.

        Example:

        `/some/dir/img_*.png` will load all files following this pattern,
        ands stack them, using lexicographic order.

        :type pattern: string
        :param pattern: The pattern to use to open files.
        :type newDim: int
        :param newDim: The interpretation of the stacking dimension.
        :raises: Error if stacking failed

        :rtype: :py:class:`ImageView`
        :return: An ImageView containing the images opened using the pattern, stacked, and
            loaded in memory.

        See also: IOFormat::stack

        |

        *Overload 2:*

        Stack multiple files following a pattern and load the stacked ImageView in memory.

        The pattern must be written using the character "*" as a wildcard
        for any number of characters. The wildcard must only be present
        on the last segment of the path, the filename part.

        The stack will be loaded in memory after construction.

        Example:

        `/some/dir/img_*.png` will load all files following this pattern,
        ands stack them, using lexicographic order.

        As there is no dimension specified in this version, the ImageType of the
        output image will be ImageTYpeId::UNKNOWN

        :type pattern: string
        :param pattern: The pattern to use to open files.
        :raises: Error if stacking failed

        :rtype: :py:class:`ImageView`
        :return: An ImageView containing the images opened using the pattern, stacked, and
            loaded in memory.

        See also: IOFormat::stack

The documentation for this class was generated from the following file:

- Release/python/ioformat/ioformat.py